### BSpline

Category

Transformation

Function

Generates a new vector list containing interpolated positions.

Syntax

    result = BSpline(input, items, order);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | scalar list or vector list | none | list of points to smooth
`items` | integer | 10 | number of points in output spline
`order` | integer | 4 | order of the spline

Outputs

Name | Type | Description
--- | --- | ---
`result` | vector list | list of interpolated points

Functional Details

This module creates `items` number of vectors determined by a continuous polynomial that interpolates the `input` list.

Example Visual Program

    FlyThrough.net

See Also

Construct List

[ OpenDX Home at IBM | OpenDX.org ]